diff -urN openssl-0.9.4-orig/Configure openssl-0.9.4/Configure
--- openssl-0.9.4-orig/Configure	Sun Aug  8 07:56:29 1999
+++ openssl-0.9.4/Configure	Mon Jan 10 22:41:07 2000
@@ -203,6 +203,7 @@
 
 # The intel boxes :-), It would be worth seeing if bsdi-gcc can use the
 # bn86-elf.o file file since it is hand tweaked assembler.
+"linux-s390",	"gcc:-D_BENDIAN -DTERMIO -O1 -Wall::(unknown)::::",
 "linux-elf",	"gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -m486 -Wall::-D_REENTRANT::BN_LLONG $x86_gcc_des $x86_gcc_opts:$x86_elf_asm",
 "debug-linux-elf","gcc:-DREF_CHECK -DCRYPTO_MDEBUG -DL_ENDIAN -DTERMIO -g -m486 -Wall::-D_REENTRANT:-lefence:BN_LLONG $x86_gcc_des $x86_gcc_opts:$x86_elf_asm",
 "linux-aout",	"gcc:-DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -m486 -Wall::(unknown)::BN_LLONG $x86_gcc_des $x86_gcc_opts:$x86_out_asm",
diff -urN openssl-0.9.4-orig/config openssl-0.9.4/config
--- openssl-0.9.4-orig/config	Mon Aug  9 06:16:51 1999
+++ openssl-0.9.4/config	Mon Jan 10 22:40:59 2000
@@ -385,6 +385,7 @@
 	sun4d)	OUT="linux-sparcv8" ;;
 	*)	OUT="linux-sparcv7" ;;
 	esac ;;
+  s390-*-linux2) OUT="linux-s390";;
   *-*-linux2) OUT="linux-elf" ;;
   *-*-linux1) OUT="linux-aout" ;;
   sun4u*-sun-solaris2)
